`include "defines.vh"
module gpio_sram #(
        parameter DATA_WIDTH    = 8,
        parameter ADDR_WIDTH    = 6   // 64 I/O registers       
    )(
        input  wire                  clk,
        input  wire                  oe,
        input  wire                  cs,
        input  wire                  we,
        input  wire [ADDR_WIDTH-1:0] address,
        inout  wire [DATA_WIDTH-1:0] data,
        /* TODO 2: porta si portb trebuie sa fie bidirectionale. */
        output  reg [DATA_WIDTH-1:0] porta,
        output  reg [DATA_WIDTH-1:0] portb
        //output wire [DATA_WIDTH-1:0] sreg
    );

    //assign sreg = memory[`SREG];
    reg [DATA_WIDTH-1:0] memory[0:(1<<ADDR_WIDTH)-1];
    reg [ADDR_WIDTH-1:0] buffer;
    /* TODO 2: declarati cate un buffer pentru porta si portb. */
	 
    always @(negedge clk)
    begin
        if (cs) begin
            if (we) begin
                memory[address] <= data;
            end else begin
                buffer <= address;
            end
        end
    end

    assign data = (cs && oe && !we) ? memory[buffer] : {DATA_WIDTH{1'bz}};
    
    reg [DATA_WIDTH:0] i;
    always @(posedge clk) begin
        for (i = 0; i < DATA_WIDTH; i = i + 1) begin
            porta[i] <= memory[`DDRA][i] ? memory[`PORTA][i] : 1'bz;
            portb[i] <= memory[`DDRB][i] ? memory[`PORTB][i] : 1'bz;
				/* TODO 2: registrele PINA si PINB trebuie sa aiba valoarea din porta, respectiv portb. */

				/* TODO 2: Setati bufferele porta si portb */

        end
        
        
    end
    
    /* TODO 2: Setati semnalele de iesire pentru porta si portb. Urmariti cum este setat 'data'. */


endmodule
